[Overview][Types][Classes][Index] | Reference for unit 'pooledmm' (#fcl)

# TNonFreePooledMemManager.ClearOnCreate

Determines whether newly allocated memory should be cleared

## Declaration

Source position: pooledmm.pp line 82

`public TNonFreePooledMemManager.ClearOnCreate: Boolean;`

## Description

ClearOnCreate is a public variable, it determines whether a newly allocated block of memory will be filled with zeroes (if set to True) or not (if set to False).

## See also

TNonFreePooledMemManager.NewItem |  | Return a pointer to a new memory block

The latest version of this document can be found at lazarus-ccr.sourceforge.net.